For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet a counterpart's VAT IDs
      • POSTCreate a counterpart VAT ID
      • GETGet a counterpart's VAT ID
      • DELDelete a counterpart's VAT ID
      • PATCHUpdate a counterpart's VAT ID
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterpart VAT IDs

Create a counterpart VAT ID

POST
/counterparts/:counterpart_id/vat_ids
POST
/v1/counterparts/:counterpart_id/vat_ids
$curl -X POST https://api.sandbox.monite.com/v1/counterparts/counterpart_id/vat_ids \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "value": "123456789"
>}'
1{
2 "id": "id",
3 "counterpart_id": "counterpart_id",
4 "value": "123456789",
5 "country": "AF",
6 "type": "ae_trn"
7}
Was this page helpful?
Previous

Get a counterpart's VAT ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
valuestringRequired<=32 characters
countryenumOptional
typeenumOptional

Response

Successful Response
idstringformat: "uuid"
counterpart_idstringformat: "uuid"
valuestring<=32 characters
countryenum
typeenum

Errors

401
Post Counterparts ID Vat Ids Request Unauthorized Error
403
Post Counterparts ID Vat Ids Request Forbidden Error
404
Post Counterparts ID Vat Ids Request Not Found Error
422
Post Counterparts ID Vat Ids Request Unprocessable Entity Error
500
Post Counterparts ID Vat Ids Request Internal Server Error